Pdh.PDH_COUNTER_PATH_ELEMENTS (JNA API)

com.sun.jna.platform.win32

## Class Pdh.PDH_COUNTER_PATH_ELEMENTS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Pdh.PDH_COUNTER_PATH_ELEMENTS

- Enclosing interface:
    Pdh

      @Structure.FieldOrder(value={"szMachineName","szObjectName","szInstanceName","szParentInstance","dwInstanceIndex","szCounterName"})
      public static class Pdh.PDH_COUNTER_PATH_ELEMENTS
      extends Structure

  Components of a counter path
  See Also:
    PDH_COUNTER_PATH_ELEMENTS, Windows Server 2003 Performance Counters Reference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwInstanceIndex`
    `java.lang.String` | `szCounterName`
    `java.lang.String` | `szInstanceName`
    `java.lang.String` | `szMachineName`
    `java.lang.String` | `szObjectName`
    `java.lang.String` | `szParentInstance`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDH_COUNTER_PATH_ELEMENTS()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### szMachineName

          public java.lang.String szMachineName

    - #### szObjectName

          public java.lang.String szObjectName

    - #### szInstanceName

          public java.lang.String szInstanceName

    - #### szParentInstance

          public java.lang.String szParentInstance

    - #### dwInstanceIndex

          public int dwInstanceIndex

    - #### szCounterName

          public java.lang.String szCounterName

  - ### Constructor Detail

    - #### PDH_COUNTER_PATH_ELEMENTS

          public PDH_COUNTER_PATH_ELEMENTS()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.